{% extends 'base.html.twig' %}

{% block title %}{{ project.title }}{% endblock %}

{% block description %}{{ project.description|striptags|slice(0, 100) }}{% endblock %}
{% block image %}{{ vich_uploader_asset(project, 'imageFile') | imagine_filter('large') }}{% endblock %}

{% block body %}
    <main>
        <header class="flex items-center justify-center bg-primary h-mid-full">
            <h1 class="text-6xl text-center text-white">{{ project.title }}</h1>
        </header>
        <article class="container flex flex-col items-center justify-center -mt-24">
            <img class="rounded shadow-lg" src="{{ vich_uploader_asset(project, 'imageFile') | imagine_filter('large') }}" alt="{{ project.title }}">

            <aside class="flex flex-col items-center justify-center mt-4">
                {% if project.url %}
                    <a class="mb-4 link-underline" href="{{ project.url }}" target="_blank" rel="noopener">Voir le site</a>
                {% endif %}

				{% if project.categories %}
					<div class="flex flex-col flex-wrap space-y-2 md:flex-row md:space-x-2 md:space-y-0">
						<span>Technologies utilisées :</span>
						{% for category in project.categories %}
							<span class="inline-block px-3 py-1 text-sm font-semibold text-center text-gray-700 bg-gray-200 rounded-full md:text-left">{{ category.name }}</span>
						{% endfor %}
					</div>
				{% endif %}
            </aside>

            <div class="w-full mt-8 content">
                {{ project.description | raw }}
            </div>

            <aside class="my-4">
                <a class="link-underline" href="{{ path('projects_index') }}">Revenir aux projets</a>
            </aside>
        </article>
    </main>
{% endblock %}


